<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Contact StructType
 * @subpackage Structs
 */
class Contact extends AbstractStructBase
{
    /**
     * The Contact_Active
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Contact_Active;
    /**
     * The Contact_Active_Duration
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $Contact_Active_Duration;
    /**
     * Constructor method for Contact
     * @uses Contact::setContact_Active()
     * @uses Contact::setContact_Active_Duration()
     * @param bool $contact_Active
     * @param int $contact_Active_Duration
     */
    public function __construct($contact_Active = null, $contact_Active_Duration = null)
    {
        $this
            ->setContact_Active($contact_Active)
            ->setContact_Active_Duration($contact_Active_Duration);
    }
    /**
     * Get Contact_Active value
     * @return bool
     */
    public function getContact_Active()
    {
        return $this->Contact_Active;
    }
    /**
     * Set Contact_Active value
     * @param bool $contact_Active
     * @return \StructType\Contact
     */
    public function setContact_Active($contact_Active = null)
    {
        // validation for constraint: boolean
        if (!is_null($contact_Active) && !is_bool($contact_Active)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($contact_Active, true), gettype($contact_Active)), __LINE__);
        }
        $this->Contact_Active = $contact_Active;
        return $this;
    }
    /**
     * Get Contact_Active_Duration value
     * @return int
     */
    public function getContact_Active_Duration()
    {
        return $this->Contact_Active_Duration;
    }
    /**
     * Set Contact_Active_Duration value
     * @param int $contact_Active_Duration
     * @return \StructType\Contact
     */
    public function setContact_Active_Duration($contact_Active_Duration = null)
    {
        // validation for constraint: int
        if (!is_null($contact_Active_Duration) && !(is_int($contact_Active_Duration) || ctype_digit($contact_Active_Duration))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($contact_Active_Duration, true), gettype($contact_Active_Duration)), __LINE__);
        }
        $this->Contact_Active_Duration = $contact_Active_Duration;
        return $this;
    }
}
